auth_xor.c File Reference

GSM/GPRS/3G authentication core infrastructure. More...

`#include <string.h>`
`#include <stdint.h>`
`#include <errno.h>`
`#include <osmocom/core/bit64gen.h>`
`#include <osmocom/crypt/auth.h>`

## Functions

static void | xor (uint8_t *out, const uint8_t *a, const uint8_t *b, size_t len)
static int | xor_gen_vec (struct osmo_auth_vector *vec, struct osmo_sub_auth_data *aud, const uint8_t *_rand)
static int | xor_gen_vec_auts (struct osmo_auth_vector *vec, struct osmo_sub_auth_data *aud, const uint8_t *auts, const uint8_t *rand_auts, const uint8_t *_rand)
static | __attribute__ ((constructor))

## Variables

static struct osmo_auth_impl | xor_alg

## Detailed Description

GSM/GPRS/3G authentication core infrastructure.

## Function Documentation

## __attribute__()

static __attribute__ | ( | (constructor) |  | ) |

static

References osmo_auth_register(), and xor_alg.